> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscription Phases

> Return a list of Subscription Phases.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/subscriptions/{subscription_uuid}/phases
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/subscriptions/{subscription_uuid}/phases:
    get:
      tags:
        - Subscription
      summary: List Subscription Phases
      description: Return a list of Subscription Phases.
      operationId: listSubscriptionPhases
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: ut
        - name: subscription_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: 40aa4969-cb7d-3a03-a35d-0337a3c99eee
        - name: sort
          in: query
          description: >-
            A comma-separated list of fields to sort. Multiple allowed. Prefix
            with `-` to sort descending.
          schema:
            enum:
              - created_at
            type: string
            description: >-
              A comma-separated list of fields to sort. Multiple allowed. Prefix
              with `-` to sort descending.
            example: created_at
          example: created_at
        - name: filter[start_at]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: '2023-10-07T12:16:27+00:00'
          example: '2023-10-07T12:16:27.0000000+00:00'
        - name: filter[end_at]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: '2023-10-07T12:16:27+00:00'
          example: '2023-10-07T12:16:27.0000000+00:00'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: 06a0afbc-62e7-36f2-a0f3-0b5d07e90466
                        name:
                          type: string
                          example: Reiciendis rerum harum architecto.
                        short_description:
                          type: string
                          example: Aliquid dolorum illo nisi fuga.
                        start_at:
                          type: string
                          example: '2026-03-03T14:05:32+00:00'
                        occurrence:
                          type: string
                          example: month
                        period:
                          type: integer
                          example: 1
                        end_at:
                          type: string
                          example: '2026-04-03T14:05:32+00:00'
                        status:
                          type: string
                          example: pending
                        created_at:
                          type: string
                          example: '2026-03-03T14:05:32+00:00'
                    example:
                      - uuid: 06a0afbc-62e7-36f2-a0f3-0b5d07e90466
                        name: Reiciendis rerum harum architecto.
                        short_description: Aliquid dolorum illo nisi fuga.
                        start_at: '2026-03-03T14:05:32+00:00'
                        occurrence: month
                        period: 1
                        end_at: '2026-04-03T14:05:32+00:00'
                        status: pending
                        created_at: '2026-03-03T14:05:32+00:00'
                      - uuid: 99281d51-90c0-3073-87fc-af942644352c
                        name: Quae quia quo est.
                        short_description: Eum quos quia voluptates quos accusamus.
                        start_at: '2026-03-03T14:05:32+00:00'
                        occurrence: month
                        period: 1
                        end_at: '2026-04-03T14:05:32+00:00'
                        status: pending
                        created_at: '2026-03-03T14:05:32+00:00'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: 06a0afbc-62e7-36f2-a0f3-0b5d07e90466
                      name: Reiciendis rerum harum architecto.
                      short_description: Aliquid dolorum illo nisi fuga.
                      start_at: '2026-03-03T14:05:32+00:00'
                      occurrence: month
                      period: 1
                      end_at: '2026-04-03T14:05:32+00:00'
                      status: pending
                      created_at: '2026-03-03T14:05:32+00:00'
                    - uuid: 99281d51-90c0-3073-87fc-af942644352c
                      name: Quae quia quo est.
                      short_description: Eum quos quia voluptates quos accusamus.
                      start_at: '2026-03-03T14:05:32+00:00'
                      occurrence: month
                      period: 1
                      end_at: '2026-04-03T14:05:32+00:00'
                      status: pending
                      created_at: '2026-03-03T14:05:32+00:00'
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: 06a0afbc-62e7-36f2-a0f3-0b5d07e90466
                    name: Reiciendis rerum harum architecto.
                    short_description: Aliquid dolorum illo nisi fuga.
                    start_at: '2026-03-03T14:05:32.0000000+00:00'
                    occurrence: month
                    period: 1
                    end_at: '2026-04-03T14:05:32.0000000+00:00'
                    status: pending
                    created_at: '2026-03-03T14:05:32.0000000+00:00'
                  - uuid: 99281d51-90c0-3073-87fc-af942644352c
                    name: Quae quia quo est.
                    short_description: Eum quos quia voluptates quos accusamus.
                    start_at: '2026-03-03T14:05:32.0000000+00:00'
                    occurrence: month
                    period: 1
                    end_at: '2026-04-03T14:05:32.0000000+00:00'
                    status: pending
                    created_at: '2026-03-03T14:05:32.0000000+00:00'
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````